# Class ReadPendingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
java.nio.channels.ReadPendingException

All Implemented Interfaces:
  `Serializable`

public class ReadPendingException extends IllegalStateException
Unchecked exception thrown when an attempt is made to read from an asynchronous socket channel and a previous read has not completed.

Since:
  1.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadPendingException()`
  Constructs an instance of this class.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadPendingException

    public ReadPendingException()
    Constructs an instance of this class.